Bug 1310713 - [QA] (6.2.z) "Complete" button of task row only working once
[QA] (6.2.z) "Complete" button of task row only working once
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR1
: 6.2.2
Assigned To: Neus Miras
Jan Hrcek
:
Depends On: 1296165
Blocks: 1309326
  Show dependency treegraph
 
Reported: 2016-02-22 10:05 EST by Alessandro Lazarotti
Modified: 2016-04-14 05:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1296165
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-02-22 10:05:03 EST
+++ This bug was initially created as a clone of Bug #1296165 +++

Description of problem:
If you click "Complete" button of task row repeatedly it only works (= it opens Task Details panel) the first time you click it. Clicking it for the 2nd time Closes the task details panel. If you click it any more, it does nothing. 

Please see the video attachment illustrating the issue.
This problem is reproducible both in 6.2 product as well as in community kie-wb 6.4.x

Version-Release number of selected component (if applicable):
BPM Suite 6.2.0

How reproducible:
Always

Steps to Reproduce:
1. Create several adhoc tasks in task list and close task details panel.
2. Try clicking Close button for one task repeatedly for some task. Then for some other task.

Actual results:
The Details panel for specific task is only opened on the first click on the "Complete" button. 2nd click closes the details panel and all the following clicks do nothing.

Expected results:
The behavior should be the same whenever the "Complete" button in the task row is clicked (i.e. Task Details panel for that task should be opened).

Additional info:
There's also related jira in the community, that proposes changing the name of the "Complete" button to reflect it's true function. It should be renamed either to "Open" or "Details" to show that it actually DOESN'T complete the task, it just Opens the Details panel where user can complete the task - see https://issues.jboss.org/browse/JBPM-4718

--- Additional comment from Jan Hrcek on 2016-01-06 08:59 EST ---



--- Additional comment from Kris Verlaenen on 2016-01-06 10:59:02 EST ---

Do we still want this fixed for 6.2.1 patch update?  I believe we discussed yesterday in the triage meeting that (since there's no customer request related to this and it only has limited severity) we'd rather pick it up in a future release?

--- Additional comment from Jan Hrcek on 2016-01-06 11:08:37 EST ---

Kriss, I discussed this with the colleagues today and this issue is a bit different from what was discussed at the triage call yesterday.
If I understand it well yesterday you discussed the issue, that complete button does not complete the task.

The issue reported in this bz is: the complete button when clicked multiple times does nothing. If you still think it's low severity, I'm ok with postponing the fix till 6.4.x.

--- Additional comment from Kris Verlaenen on 2016-01-06 11:26:22 EST ---

Jan,

Agreed, this is indeed the "odd" behavior that I also described in the original BZ.  Unfortunately, we currently don't have the bandwidth to include this in 6.2.1 in the current schedule.  If you believe it's important to fix, I suggest we propose this for 6.2.2 (rather than delay 6.2.1), wdyt?

--- Additional comment from Jan Hrcek on 2016-01-06 11:40:25 EST ---

Kriss, I've got no problem with postponing the fix. Moreover if there's a bugzilla describing this problem (I wasn't aware), feel free to close this one as duplicate.

--- Additional comment from Neus Miras on 2016-02-18 14:10:33 EST ---

The button is named now 'Open' and when the user click always open the task details area even the user clicks more than one time.
The commits have been merged at master and 6.4.x branch 
https://issues.jboss.org/browse/JBPM-4718
Comment 2 Neus Miras 2016-02-25 03:39:55 EST
The fix has been added to 6.3.x branch
https://github.com/droolsjbpm/jbpm-console-ng/commit/ab595fbe7611f0a4f31fbcc3b4b9be93b87fe899
Comment 3 Jan Hrcek 2016-03-07 01:29:19 EST
Verified with 6.2.2 patch, working fine now.

Note You need to log in before you can comment on or make changes to this bug.